Bug 175504 - API module structure `annodex_module'.... is garbled
API module structure `annodex_module'.... is garbled
Product: Fedora
Classification: Fedora
Component: mod_annodex (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-12-11 19:30 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-15 05:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-12-11 19:30:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
Httpd doesn't start... mod_annodex seems to be breaking it:

Starting httpd: httpd: Syntax error on line 209 of /etc/httpd/conf/httpd.conf: Syntax error on line 1 of /etc/httpd/conf.d/annodex.conf: API module structure `annodex_module' in file /usr/lib/httpd/modules/mod_annodex.so is garbled - perhaps this is not an Apache module DSO?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to start httpd.

Additional info:
Comment 1 Ivan Gyurdiev 2005-12-11 19:35:26 EST
Same issue with mod_suphp...
Comment 2 Thomas Vander Stichele 2005-12-18 05:16:21 EST
works here, not sure what's going on if you also have mod_suphp complain about
the same thing.  you didn't install a 64 bit version or something ?

what version of httpd rpm are you using ?

Comment 3 Ivan Gyurdiev 2006-01-02 07:39:33 EST

According to rpm -qi, 
httpd was built on tweety.
mod_annodex was build on hammer1.
mod_suphp was built on extras64.

I enable repos: development, extras-development, livna, and Dan Walsh's selinux
repository, of which I have installed all packages. 

I just re-downloaded mod_annodex and mod_suphp from the extras development
server (i386), with the same result...
Comment 4 Thomas Vander Stichele 2006-06-15 05:25:56 EDT
have you filed a bug against mod_suphp separately ? what does its maintainer say ?
Comment 5 Ivan Gyurdiev 2006-06-15 05:59:05 EDT
I honestly don't remember what I might have done 6.5 months ago.
Httpd starts successfully today with mod_suphp and mod_annodex installed.

Note You need to log in before you can comment on or make changes to this bug.